export class BaseStream {
    get length(): void;
    get isEmpty(): void;
    get isDataLoaded(): any;
    getByte(): void;
    getBytes(length: any): void;
    /**
     * NOTE: This method can only be used to get image-data that is guaranteed
     *       to be fully loaded, since otherwise intermittent errors may occur;
     *       note the `ObjectLoader` class.
     */
    getImageData(length: any, decoderOptions: any): Promise<void>;
    asyncGetBytes(): Promise<void>;
    get isAsync(): boolean;
    get isAsyncDecoder(): boolean;
    get canAsyncDecodeImageFromBuffer(): boolean;
    getTransferableImage(): Promise<null>;
    peekByte(): void;
    peekBytes(length: any): void;
    getUint16(): any;
    getInt32(): any;
    getByteRange(begin: any, end: any): void;
    getString(length: any): string;
    skip(n: any): void;
    reset(): void;
    moveStart(): void;
    makeSubStream(start: any, length: any, dict?: null): void;
    /**
     * @returns {Array | null}
     */
    getBaseStreams(): any[] | null;
}
